# ionoscloud\_monitoring\_pipeline

The **Monitoring pipeline** datasource can be used to search for and return an existing Monitoring pipeline. If a single match is found, it will be returned. If your search results in multiple matches, an error will be returned.

> ⚠️ Only tokens are accepted for authorization in the **monitoring\_pipeline** data source. Please ensure you are using tokens as other methods will not be valid.

## Example Usage

### By ID

```hcl
data "ionoscloud_monitoring_pipeline" "example" {
  location = "de/txl"
  id = "pipeline_id"
}
```

### By name

```hcl
data "ionoscloud_monitoring_pipeline" "example" {
  location = "de/txl"
  name = "pipeline_name"
}
```

## Argument reference

* `location` - (Optional)\[string] The location of the Monitoring pipeline. Default is `de/fra`. It can be one of `de/fra`, `de/txl`, `gb/lhr`, `es/vit`, `fr/par`. If this is not set and if no value is provided for the `IONOS_API_URL` env var, the default `location` will be: `de/fra`.
* `id` - (Optional)\[string] The ID of the Monitoring pipeline you want to search for.
* `name` - (Optional)\[string] The name of the Monitoring pipeline you want to search for.

Either `id` or `name` must be provided. If none, or both are provided, the datasource will return an error.

## Attributes Reference

The following attributes are returned by the datasource:

* `id` - The UUID of the Monitoring pipeline.
* `name` - The name of the Monitoring pipeline.
* `grafana_address` - The endpoint of the Grafana instance.
* `http_endpoint`- The HTTP endpoint of the Monitoring instance.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/terraform-provider/data-sources/monitoring_pipeline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
